Last Comment Bug 704830 - Missing file at run time: chrome/messenger/content/messenger/webSearch.js
: Missing file at run time: chrome/messenger/content/messenger/webSearch.js
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Search (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 11.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks: 677421
  Show dependency treegraph
 
Reported: 2011-11-23 07:49 PST by :Irving Reid (No longer working on Firefox)
Modified: 2011-12-20 13:45 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed


Attachments
The fix (686 bytes, patch)
2011-12-13 07:58 PST, Mark Banner (:standard8)
mconley: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description :Irving Reid (No longer working on Firefox) 2011-11-23 07:49:10 PST
Shortly after start up, Trunk displays the message:

Chrome file doesn't exist: /Users/ireid/tbird/objdir-comm-central-default/mozilla/dist/DailyDebug.app/Contents/MacOS/chrome/messenger/content/messenger/webSearch.js

The reference to this file is in webSearchTab.xul
Comment 1 Mark Banner (:standard8) 2011-12-06 07:24:41 PST
Looks like this got left in by mistake:

http://mxr.mozilla.org/comm-central/source/mail/base/content/webSearchTab.xul#44
Comment 2 Mark Banner (:standard8) 2011-12-13 07:58:11 PST
Created attachment 581278 [details] [diff] [review]
The fix

This was just left in during implementation by mistake - we were changing the names of files whilst trying to work out where to put things.
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2011-12-13 08:05:02 PST
Comment on attachment 581278 [details] [diff] [review]
The fix

Review of attachment 581278 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, ship it.

Thanks,

-Mike
Comment 4 Mike Conley (:mconley) - (needinfo me!) 2011-12-20 12:26:31 PST
Committed to trunk as http://hg.mozilla.org/comm-central/rev/d6a6a2bd4a31
Comment 5 Mike Conley (:mconley) - (needinfo me!) 2011-12-20 13:25:42 PST
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/069949884c7c

Note You need to log in before you can comment on or make changes to this bug.